<?php
//--------------------------------------------------------------------
// *** Pop Rank ***
// LAST UPDATE: 2011/05/02
// Version    : 1.82
// Copyright  : nJOY
// http://i-njoy.net/
//--------------------------------------------------------------------
//
// install.php
//
//--------------------------------------------------------------------

$mod = array(
	"ver"	=>	"1.82",
	"id"	=>	"poprank",
	"name"	=>	"人気記事ランキング作成モジュール"
);

if (isset($objBlognPlus)) {
	// v2.6.2用
	if (!$objBlognPlus->is_login) {
		header("Content-Type: text/html; charset=UTF-8");
		echo 'セッションエラー。管理画面に入りなおしてください。';
		exit;
	}
} else {
	// v2.6.1以前用
	if (!$_COOKIE["blogn_cookie_pw"]) {
		$blogn_error = blogn_mod_db_user_check($_SESSION["blogn_session_id"], $_SESSION["blogn_session_pw"]);
		if (!$blogn_error[0]) {
			header("Content-Type: text/html; charset=UTF-8");
			echo 'セッションエラー。管理画面に入りなおしてください。';
			exit;
		}
	} else {
		$blogn_error = blogn_mod_db_user_check($_COOKIE["blogn_cookie_id"], $_COOKIE["blogn_cookie_pw"]);
		if (!$blogn_error[0]) {
			header("Content-Type: text/html; charset=UTF-8");
			echo 'セッションエラー。管理画面に入りなおしてください。';
			exit;
		}
	}
}

$information = '
<div style="margin: 0 2em;">
<h2 style="color:#0000ff;font-size:120%;">'.$mod["name"].' ver'.$mod["ver"].'</h2>
<div style="border-left:2px solid #cccccc;margin-left:2em;padding:0 2em;">
<p><span style="color:#008000">■</span> モジュールのインストールが完了しました。</p>';

$filedir = BLOGN_MODDIR."poprank/log";
if (!is_writable($filedir)) {
	$information .= '<p><span style="color:#ff0000">■</span> /poprank/log/ ディレクトリのパーミッションに書き込み属性を与えてください（「777」「707」等）。</p>';
} else {
	$information .= '<p><span style="color:#008000">■</span> /poprank/log/ ディレクトリのパーミッション OK</p>';
}

$filename = BLOGN_MODDIR."poprank/config.ini";
if (!is_writable($filename)) {
	$information .= '<p><span style="color:#ff0000">■</span> /poprank/config.ini のパーミッションに書き込み属性を与えてください（「666」「606」等）。</p>';
} else {
	$information .= '<p><span style="color:#008000">■</span> /poprank/config.ini のパーミッション OK</p>';
}

$information .= '
<h3>設定</h3>
<ul style="line-height:150%;">
<li><b>優先順位</b>: 一部のモジュールの優先順位と入れ替える必要があります。</li>
<li><b>動作 ON/OFF</b>: 「PC」「携帯」とも 動作 ON/OFF 欄を <img src="'.BLOGN_HOMELINK.'images/on.gif" width="20" height="20" alt="ON" style="vertical-align:middle;" /> にして使ってください。</li>
<li><b>キャッシュ</b>: 非対応</li>
</ul>
</div>
</div>';

?>
